/*************************************************************
 * By: Coralys Cubero Rivera
 * Date: 2019
 *************************************************************/

package uprrp.tania;

import android.content.Context;
import android.os.AsyncTask;
import android.util.Log;
import android.widget.Toast;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.UnsupportedEncodingException;
import java.net.URL;
import java.net.URLConnection;
import java.net.URLEncoder;

public class SendRecoveryEmailToServer extends AsyncTask<String, String, String> {

    private Context context;

    public SendRecoveryEmailToServer(Context context){
        this.context = context.getApplicationContext();
    }

    @Override
    protected String doInBackground(String... strings) {

        String json  = null;
        try {
            json = URLEncoder.encode("data", "UTF-8") + "=" + URLEncoder.encode(strings[0], "UTF-8");
            Log.d("RESET PASSWORD EMAIL", json);
        } catch (UnsupportedEncodingException e) {
            Log.e("RESET PASSWORD EMAIL ERROR", e.getMessage());
        }

        String text = "";
        BufferedReader reader = null;

        // Send data
        try
        {
            // Defined URL  where to send data
            URL url = new URL("https://tania.uprrp.edu/askForEmail.php");

            // Send POST data request
            URLConnection conn = url.openConnection();
            conn.setDoOutput(true);
            OutputStreamWriter wr = new OutputStreamWriter(conn.getOutputStream());
            assert json != null;
            wr.write(json);
            wr.flush();

            // Get the server response
            reader = new BufferedReader(new InputStreamReader(conn.getInputStream()));
            StringBuilder sb = new StringBuilder();
            String line;

            // Read Server Response
            while((line = reader.readLine()) != null)
            {
                // Append server response in string
                sb.append(line).append("\n");
            }

            text = sb.toString();
        }
        catch(Exception ex) {
            Log.e("RESET PASSWORD EMAIL", ex.getMessage());
        }
        finally
        {
            try
            {
                assert reader != null;
                reader.close();
            }
            catch(Exception ex) {
                Log.e("RESET PASSWORD EMAIL ERROR", ex.getMessage());
            }
        }

        return text;

    }

    @Override
    protected void onPostExecute(String s) {
        Log.d("RESET PASSWORD EMAIL RESPOND", "The server's response is: " + s);

        String ss = s.substring(0,6);
        String se = s.substring(0,8);
        if (ss.equals("Succes")){
            Toast.makeText(context, "Thanks! We will shortly send an email to reset your password.", Toast.LENGTH_SHORT).show();

        }


    }

}
